Bug 256765 - security/openiked-portable ipsec.ko doesn't automatically load on rc start
Summary: security/openiked-portable ipsec.ko doesn't automatically load on rc start
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: easy, needs-patch
Depends on:
Blocks:
 
Reported: 2021-06-22 06:32 UTC by Jason Tubnor
Modified: 2021-07-04 00:45 UTC (History)
2 users (show)

See Also:
david: maintainer-feedback+
kbowling: merge-quarterly+


Attachments
Patch against main to automate ipsec.ko module load. (422 bytes, patch)
2021-06-22 06:32 UTC, Jason Tubnor
jason: maintainer-approval? (david)
Details | Diff
openiked cannot run unless ipsec is loaded. (821 bytes, patch)
2021-06-30 19:29 UTC, David Marec
david: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Tubnor 2021-06-22 06:32:52 UTC
Created attachment 225987 [details]
Patch against main to automate ipsec.ko module load.

When iked_enable=YES, it will not automatically start unless the ipsec.ko kernel module has been loaded. This should be automated through iked.in.

See patch attached.

Thanks.
Comment 1 David Marec 2021-06-26 15:37:37 UTC
I agree with this. Adding the ipsec module as a dependency makes sens. 


changes approved.
Comment 2 David Marec 2021-06-29 20:27:44 UTC
Comment on attachment 225987 [details]
Patch against main to automate ipsec.ko module load.

openiked cannot run unless ipsec is loaded.
Comment 3 David Marec 2021-06-29 20:29:36 UTC
Comment on attachment 225987 [details]
Patch against main to automate ipsec.ko module load.

openiked cannot run unless ipsec is loaded.

+maintainer-approval
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-30 00:01:36 UTC
^Triage: patch needs PORTREVISION, because package contents changes, and we want users to get/install the new rc version.
Comment 5 David Marec 2021-06-30 19:29:59 UTC
Created attachment 226140 [details]
openiked cannot run unless ipsec is loaded.

Adding the ipsec module as a dependency
Bump PORTREVISION
Comment 6 commit-hook freebsd_committer 2021-07-04 00:43:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dec1a59c7c67313b8cfd1156fa833f2e5dc79a85

commit dec1a59c7c67313b8cfd1156fa833f2e5dc79a85
Author:     David Marec <david@lapinbilly.eu>
AuthorDate: 2021-07-04 00:42:40 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-07-04 00:42:40 +0000

    security/openiked-portable: load ipsec kmod

    PR:             256765
    Reported by:    Jason Tubnor <jason@tubnor.net>
    MFH:            2021Q3

 security/openiked-portable/Makefile      | 1 +
 security/openiked-portable/files/iked.in | 1 +
 2 files changed, 2 insertions(+)
Comment 7 commit-hook freebsd_committer 2021-07-04 00:44:55 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=53fd1058ba29e72fe5e0b79389a022ef0ee6451b

commit 53fd1058ba29e72fe5e0b79389a022ef0ee6451b
Author:     David Marec <david@lapinbilly.eu>
AuthorDate: 2021-07-04 00:42:40 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-07-04 00:44:19 +0000

    security/openiked-portable: load ipsec kmod

    PR:             256765
    Reported by:    Jason Tubnor <jason@tubnor.net>
    MFH:            2021Q3

    (cherry picked from commit dec1a59c7c67313b8cfd1156fa833f2e5dc79a85)

 security/openiked-portable/Makefile      | 1 +
 security/openiked-portable/files/iked.in | 1 +
 2 files changed, 2 insertions(+)
Comment 8 Kevin Bowling freebsd_committer 2021-07-04 00:45:30 UTC
Thanks for your contribution!